package com.crm.rely.backend.core.constant;

/**
 * 邮件发送类型
 *
 * @author: houn
 */
public enum EmailSendEnum {
    //注册code
    REGISTER_CODE("REGISTER_CODE"),
    //注册完成通知
    REGISTER_COMPLETE("REGISTER_COMPLETE"),
    //注册完成通知管理员邮件
    REGISTER_COMPLETE_MANAGER("REGISTER_COMPLETE_MANAGER"),
    //注册完成通知销售邮件
    REGISTER_COMPLETE_SALES("REGISTER_COMPLETE_SALES"),
    //忘记密码
    FORGET_PASSWORD("FORGET_PASSWORD"),
    //财务入金通知
    FINANCE_DEPOSIT_NOTICE("FINANCE_DEPOSIT_NOTICE"),
    //入金通知到客户
    CUSTOM_FINANCE_DEPOSIT_NOTICE("CUSTOM_FINANCE_DEPOSIT_NOTICE"),
    //财务出金通知
    FINANCE_WITHDRAW_NOTICE("FINANCE_WITHDRAW_NOTICE"),
    //财务内转通知
    FINANCE_TRANSFER_NOTICE("FINANCE_TRANSFER_NOTICE"),
    //客户内转完成通知
    CUSTOM_FINANCE_TRANSFER_NOTICE("CUSTOM_FINANCE_TRANSFER_NOTICE"),
    //修改邮箱发送code
    CUSTOM_APPLY_DIGITAL_WITHDRAW_SEND("CUSTOM_APPLY_DIGITAL_WITHDRAW_SEND"),
    USER_LOGIN_SEND("USER_LOGIN_SEND"),
    UPDATE_EMAIL_CODE("UPDATE_EMAIL_CODE"),
    //修改配置发送邮箱code
    UPDATE_CONFIG_EMAIL_CODE("UPDATE_CONFIG_EMAIL_CODE"),
    //重置主交易密码邮件
    DEAL_RESET_PASSWORD_SEND_URL("DEAL_RESET_PASSWORD_SEND_URL"),
    //交易密码修改密码完成发送邮件
    CUSTOM_DEAL_CHANG_PASSWORD_COMPLETE("CUSTOM_DEAL_CHANG_PASSWORD_COMPLETE"),
    //交易密码重置密码完成发送邮件
    CUSTOM_DEAL_REST_PASSWORD_COMPLETE("CUSTOM_DEAL_REST_PASSWORD_COMPLETE"),
    //投资人密码修改密码完成发送邮件
    CUSTOM_INVESTOR_CHANG_PASSWORD_COMPLETE("CUSTOM_INVESTOR_CHANG_PASSWORD_COMPLETE"),
    CUSTOM_CHANG_PASSWORD_FAIL("CUSTOM_CHANG_PASSWORD_FAIL"),
    //修改杠杆成功发送邮件
    ACCOUNT_UPDATE_LEVERAGE_COMPLETE("ACCOUNT_UPDATE_LEVERAGE_COMPLETE"),
    ACCOUNT_CREATE_APPLY("ACCOUNT_CREATE_APPLY"),
    ACCOUNT_CREATE_COMPLETE("ACCOUNT_CREATE_COMPLETE"),
    //demo
    ACCOUNT_DEMO_CREATE_COMPLETE("ACCOUNT_DEMO_CREATE_COMPLETE"),
    //客户核验成功发送邮件
    CUSTOM_APPROVE_SUCCESS("CUSTOM_APPROVE_SUCCESS"),
    CUSTOM_APPROVE_FAIL("CUSTOM_APPROVE_FAIL"),
    //客户核验成功发送代理邮件
    CUSTOM_APPROVE_AGENT_SUCCESS("CUSTOM_APPROVE_AGENT_SUCCESS"),
    CUSTOM_APPROVE_AGENT_FAIL("CUSTOM_APPROVE_AGENT_FAIL"),
    //客户核验成功发送销售邮件
    CUSTOM_APPROVE_SALES_SUCCESS("CUSTOM_APPROVE_SALES_SUCCESS"),
    CUSTOM_APPROVE_SALES_FAIL("CUSTOM_APPROVE_SALES_FAIL"),

    //客户提交核验通知后台
    SUBMIT_VERIFICATION("SUBMIT_VERIFICATION"),
    CUSTOM_SUBMIT_VERIFICATION("CUSTOM_SUBMIT_VERIFICATION"),
    //客户申请杠杆
    CUSTOM_APPLY_LEVERAGE("CUSTOM_APPLY_LEVERAGE"),
    //和manager处理错误处理发送邮件
    TO_MANAGER_ERROR_INFO("TO_MANAGER_ERROR_INFO"),
    //代理审批通过邮件
    AGENT_REGISTER("AGENT_REGISTER"),
    ACTIVITY_APPROVE("ACTIVITY_APPROVE"),
    MARKET_EMAIL("MARKET_EMAIL"),
    MARKET_PROMO_CODE_EMAIL("MARKET_PROMO_CODE_EMAIL"),
    //风控bbi规则监控邮件
    RISK_BBI_RULE("RISK_BBI_RULE"),
    //pamm
    PAMM_MANAGER_CREATE_COMPLETE("PAMM_MANAGER_CREATE_COMPLETE"),
    PAMM_INVESTOR_CREATE_COMPLETE("PAMM_INVESTOR_CREATE_COMPLETE"),
    //subs
    SUBS_APPLY("SUBS_APPLY"),
    //报告邮件
    ACCOUNT_DAILY_CONFIRMATION_CN("ACCOUNT_DAILY_CONFIRMATION_CN"),
    ACTIVITY_NO_WORRIES_SEND("ACTIVITY_NO_WORRIES_SEND"),
    CUSTOM_WITHDRAW_SUBMIT_SEND("CUSTOM_WITHDRAW_SUBMIT_SEND"),
    ADD_LARK_SEND("ADD_LARK_SEND"),
    FILL_IN_PERSONAL_INFORMATION_FOR_EMPLOYMENT("FILL_IN_PERSONAL_INFORMATION_FOR_EMPLOYMENT"),
    VERIFY_PERSONAL_INFORMATION_FOR_EMPLOYMENT("VERIFY_PERSONAL_INFORMATION_FOR_EMPLOYMENT"),
    VERIFY_SUCCESS_PERSONAL_INFORMATION_FOR_EMPLOYMENT("VERIFY_SUCCESS_PERSONAL_INFORMATION_FOR_EMPLOYMENT"),
    VERIFY_SUCCESS_TO_PERSONAL("VERIFY_SUCCESS_TO_PERSONAL"),
    EMAIL_TEMPLATE_PROFIT_SHARING_ADJUSTMENT("EMAIL_TEMPLATE_PROFIT_SHARING_ADJUSTMENT"),
    HR_VERIFY_PERSONAL_INFORMATION_FOR_EMPLOYMENT("HR_VERIFY_PERSONAL_INFORMATION_FOR_EMPLOYMENT"),
    USER_RESIGN_SUCCESS("USER_RESIGN_SUCCESS"),
    USER_RESIGN_APPLY("USER_RESIGN_APPLY"),
    ADJUST_RISK_LEVEL("ADJUST_RISK_LEVEL"),
    CUSTOM_LOGIN_MARK_DELETE("CUSTOM_LOGIN_MARK_DELETE"),
    CUSTOM_LOGIN_FORMAL_DELETE("CUSTOM_LOGIN_FORMAL_DELETE"),
    CUSTOM_ACTIVITY_LIMITED_REQUITE("CUSTOM_ACTIVITY_LIMITED_REQUITE"),
    CUSTOM_ACTIVITY_REQUITE_SUCCESS ("CUSTOM_ACTIVITY_REQUITE_SUCCESS"),
    CUSTOM_ACTIVITY_REQUITE_FAIL ("CUSTOM_ACTIVITY_REQUITE_FAIL"),
    IB_CUSTOM_ACTIVITY_REQUITE_SUCCESS ( "IB_CUSTOM_ACTIVITY_REQUITE_SUCCESS"),
    IB_CUSTOM_ACTIVITY_REQUITE_FAIL ( "IB_CUSTOM_ACTIVITY_REQUITE_FAIL"),
    CUSTOM_ACTIVITY_REQUITE_END ( "CUSTOM_ACTIVITY_REQUITE_END"),
    IB_CUSTOM_ACTIVITY_REQUITE_END ("IB_CUSTOM_ACTIVITY_REQUITE_END"),
    CUSTOM_REQUITE_APPROVE_SUCCESS("CUSTOM_REQUITE_APPROVE_SUCCESS"),
    CUSTOM_REQUITE_APPROVE_FAIL("CUSTOM_REQUITE_APPROVE_FAIL"),
    AGENT_CUSTOM_ACTIVITY_REQUITE_SUCCESS("AGENT_CUSTOM_ACTIVITY_REQUITE_SUCCESS"),
    SALES_CUSTOM_DEPOSIT_REWARD("SALES_CUSTOM_DEPOSIT_REWARD"),
    SALES_ADD_CUSTOM_REWARD("SALES_ADD_CUSTOM_REWARD"),
    CUSTOM_KYC_SUCCESS("CUSTOM_KYC_SUCCESS"),
    CUSTOM_KYC_FAIL("CUSTOM_KYC_FAIL"),
    CUSTOM_KYC_APPROVE("CUSTOM_KYC_APPROVE"),
    UCARD_KYC_APPROVE("UCARD_KYC_APPROVE"),
    CUSTOM_ACTIVITY_UCOIN("CUSTOM_ACTIVITY_UCOIN"),
    CUSTOM_ACTIVITY_UCOIN_END("CUSTOM_ACTIVITY_UCOIN_END"),
    IB_CUSTOM_ACTIVITY_UCOIN("IB_CUSTOM_ACTIVITY_UCOIN"),
    SALES_CUSTOM_DEPOSIT("SALES_CUSTOM_DEPOSIT"),
    SALES_CUSTOM_DEPOSIT_CALLBACK("SALES_CUSTOM_DEPOSIT_CALLBACK"),
    SALES_CUSTOM_DEPOSIT_SUCCESS("SALES_CUSTOM_DEPOSIT_SUCCESS"),
    SALES_CUSTOM_WITHDRAW("SALES_CUSTOM_WITHDRAW"),
    SALES_CUSTOM_WITHDRAW_APPROVE_FAIL("SALES_CUSTOM_WITHDRAW_APPROVE_FAIL"),
    SALES_CUSTOM_WITHDRAW_APPROVE_SUCCESS("SALES_CUSTOM_WITHDRAW_APPROVE_SUCCESS"),
    SALES_CUSTOM_WITHDRAW_CALLBACK("SALES_CUSTOM_WITHDRAW_CALLBACK"),
    CUSTOM_ACTIVITY_SURPLUS_GIVE_SUCCESS("CUSTOM_ACTIVITY_SURPLUS_GIVE_SUCCCESS"),
    CUSTOM_ACTIVITY_SURPLUS_GIVE_FAIL("CUSTOM_ACTIVITY_SURPLUS_GIVE_FAIL"),
    CUSTOM_ACTIVITY_SURPLUS_GIVE_END("CUSTOM_ACTIVITY_SURPLUS_GIVE_END"),
    USER_INFO_REVIEW_SUCCESS("USER_INFO_REVIEW_SUCCESS"),
    USER_UPLOAD_PHOTO("USER_UPLOAD_PHOTO"),
    USER_INFO_REVIEW_FAIL("USER_INFO_REVIEW_FAIL"),
    OPEN_CARD_SUCCESS("OPEN_CARD_SUCCESS"),
    ACTIVATION_CODE("ACTIVATION_CODE"),
    CARD_THIRD_3DS_OTP("CARD_THIRD_3DS_OTP"),
    CARD_AUTH_URL("CARD_AUTH_URL"),
    OPEN_CARD_FAIL("OPEN_CARD_FAIL"),
    APPLY_CARD_REVIEW("APPLY_CARD_REVIEW"),
    RECHARGE_CARD_REVIEW("RECHARGE_CARD_REVIEW"),
    WALLET_WITHDRAWAL_REVIEW("WALLET_WITHDRAWAL_REVIEW"),
    ACTIVATE_CARD_SUCCESS("ACTIVATE_CARD_SUCCESS"),
    CARD_PASSWORD_UPDATE_SUCCESS("CARD_PASSWORD_UPDATE_SUCCESS"),
    CARD_RECHARGE_SUCCESS("CARD_RECHARGE_SUCCESS"),
    CARD_RECHARGE_REVIEW_FAIL("CARD_RECHARGE_REVIEW_FAIL"),
    WALLET_WITHDRAWAL_REVIEW_FAIL("WALLET_WITHDRAWAL_REVIEW_FAIL"),
    SALES_PERFORMANCE_LEADER("SALES_PERFORMANCE_LEADER"),
    SALES_PERFORMANCE_MANAGER("SALES_PERFORMANCE_MANAGER"),
    CUSTOM_KYC_VERIFY_FAIL("CUSTOM_KYC_VERIFY_FAIL"),
    QUERY_CVV_CODE("QUERY_CVV_CODE"),
    CARD_DEPOSIT_CODE("CARD_DEPOSIT_CODE"),
    CARD_WALLET_WITHDRAW_CODE("CARD_WALLET_WITHDRAW_CODE"),
    GLOBAL_ORDER_REVIEW("GLOBAL_ORDER_REVIEW"),
    //强平发送邮件
    RISK_CLOSE_TRADE_SUCCESS("RISK_CLOSE_TRADE_SUCCESS"),
    GLOBAL_ORDER_REVIEW_FAIL("GLOBAL_ORDER_REVIEW_FAIL"),
    GLOBAL_ORDER_TRANSACTION_FAIL("GLOBAL_ORDER_TRANSACTION_FAIL"),
    GLOBAL_ORDER_TRANSACTION_SUCCESS("GLOBAL_ORDER_TRANSACTION_SUCCESS"),
    GLOBAL_ORDER_SUPPLEMENTARY_DATA("GLOBAL_ORDER_SUPPLEMENTARY_DATA"),
    GLOBAL_ORDER_CANCEL("GLOBAL_ORDER_CANCEL"),
    CUSTOM_WITHDRAW_COUNTRY("CUSTOM_WITHDRAW_COUNTRY"),
    CUSTOM_ACTIVITY_MONTHLY_GIVE_SUCCESS("CUSTOM_ACTIVITY_MONTHLY_GIVE_SUCCESS"),
    CUSTOM_ACTIVITY_MONTHLY_GIVE_FAIL("CUSTOM_ACTIVITY_MONTHLY_GIVE_FAIL"),
    CUSTOM_ACTIVITY_MONTHLY_GIVE_MANAGER("CUSTOM_ACTIVITY_MONTHLY_GIVE_MANAGER"),
    CUSTOM_ACTIVITY_MONTHLY_GIVE_COMFIRM("CUSTOM_ACTIVITY_MONTHLY_GIVE_COMFIRM"),
    ENCRYPTED_WALLET_TRANSACTION_SUCCESS("ENCRYPTED_WALLET_TRANSACTION_SUCCESS"),
    UCARD_WALLET_WITHDRAWAL_SUCCESS("UCARD_WALLET_WITHDRAWAL_SUCCESS"),
    UCARD_WALLET_WITHDRAWAL_FAILED("UCARD_WALLET_WITHDRAWAL_FAILED"),
    UCARD_WALLET_RECHARGE_SUCCESS("UCARD_WALLET_RECHARGE_SUCCESS")
    ;
    private String code;

    EmailSendEnum(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public boolean equals(String type) {
        return code.equals(type);
    }
}
